#!/bin/csh

# lc.com
# Georg Kontaxis and Ad Bax, 26.Feb.2001
# script to generate linear combinations of ipap-ct-hsqc datasets
# for separation of ch3 multiplet into four subspectra
# note that the coefficients may need further adjustment by exp(2D/T2) 
# to account for 13C T2 relaxation



addNMR -in1 A.ft2 -in2 D.ft2 -out A+D.ft2 -c1 1.0 -c2 1.14 -verb
addNMR -in1 A.ft2 -in2 D.ft2 -out A-D.ft2 -c1 1.0 -c2 1.14 -sub -verb

addNMR -in1 B.ft2 -in2 C.ft2 -out B+C.ft2 -c1 1.02 -c2 1.07 -verb
addNMR -in1 B.ft2 -in2 C.ft2 -out B-C.ft2 -c1 1.02 -c2 1.07 -sub -verb

# most downfield line
addNMR -in1 A+D.ft2 -in2 B+C.ft2 -out A+2B+2C+D.ft2 -c1 1.0 -c2 2.0 -verb

# center upfield line
addNMR -in1 A+D.ft2 -in2 B+C.ft2 -out A-B-C+D.ft2 -sub -c1 1.0 -c2 1.0 -verb

# center downfield line
addNMR -in1 A-D.ft2 -in2 B-C.ft2 -out A+B-C-D.ft2 -c1 1.0 -c2 1.0 -verb

# most upfield line
addNMR -in1 A-D.ft2 -in2 B-C.ft2 -out A-2B+2C-D.ft2 -sub -c1 1.0 -c2 2.0 -verb

