#!/bin/csh

# splits the original ser file (test.fid) of a ch13 ipap-ct-hsqc
# with four interleaved experimients
# into four separate data sets 
# A(0), B(1/6J), C(1/3J), D(1/2J)
# Georg Kontaxis and Ad Bax, 22.Feb.2001

set matA = ( 1 0 \
             0 1 \
             0 0 \
             0 0 \
             0 0 \
             0 0 \
             0 0 \
             0 0 )

set matB = ( 0 0 \
             0 0 \
             1 0 \
             0 1 \
             0 0 \
             0 0 \
             0 0 \
             0 0 )

set matC = ( 0 0 \
             0 0 \
             0 0 \
             0 0 \
             1 0 \
             0 1 \
             0 0 \
             0 0 )

set matD = ( 0 0 \
             0 0 \
             0 0 \
             0 0 \
             0 0 \
             0 0 \
             1 0 \
             0 1 )

nmrPipe -in test.fid \
| nmrPipe -fn QMIX -ic 8 -oc 2 -cList $matA -time \
  -out ./A.fid -verb -ov

nmrPipe -in test.fid \
| nmrPipe -fn QMIX -ic 8 -oc 2 -cList $matB -time \
  -out ./B.fid -verb -ov

nmrPipe -in test.fid \
| nmrPipe -fn QMIX -ic 8 -oc 2 -cList $matC -time \
  -out ./C.fid -verb -ov

nmrPipe -in test.fid \
| nmrPipe -fn QMIX -ic 8 -oc 2 -cList $matD -time \
  -out ./D.fid -verb -ov

